Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JPasswordField

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.text.JTextComponent
                              |
                              +--javax.swing.JTextField
                                    |
                                    +--javax.swing.JPasswordField

public class JPasswordField
extends JTextField

JPasswordField is a lightweight component that allows the editing of a single line of text where the view indicates something was typed, but does not show the original characters. It is intended to be source-compatible with java.awt.TextField used with echoChar set. It is provided seperately to make it easier to safely change the ui for the JTextField without affecting password entries.

For the keyboard keys used by this component in the standard Look and Feel (L&F) renditions, see the JPasswordField key assignments.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner Class Summary
`protected class` | `JPasswordField.AccessibleJPasswordField` The class used to obtain the accessible role for this object.

Inner classes inherited from class javax.swing.JTextField
`JTextField.AccessibleJTextField`

Inner classes inherited from class javax.swing.text.JTextComponent
`JTextComponent.AccessibleJTextComponent, JTextComponent.KeyBinding`

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Fields inherited from class javax.swing.JTextField
`notifyAction`

Fields inherited from class javax.swing.text.JTextComponent
`DEFAULT_KEYMAP, FOCUS_ACCELERATOR_KEY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`JPasswordField()` Constructs a new JPasswordField, with a default document, null starting text string, and 0 column width.
`JPasswordField(Document doc, java.lang.String txt, int columns)` Constructs a new JPasswordField that uses the given text storage model and the given number of columns.
`JPasswordField(int columns)` Constructs a new empty JPasswordField with the specified number of columns.
`JPasswordField(java.lang.String text)` Constructs a new JPasswordField initialized with the specified text.
`JPasswordField(java.lang.String text, int columns)` Constructs a new JPasswordField initialized with the specified text and columns.

Method Summary
`void` | `copy()` Normally transfers the currently selected range in the associated text model to the system clipboard, leaving the contents in the text model.
`void` | `cut()` Normally transfers the currently selected range in the associated text model to the system clipboard, removing the contents from the model.
`boolean` | `echoCharIsSet()` Returns true if this JPasswordField has a character set for echoing.
`AccessibleContext` | `getAccessibleContext()` Gets the AccessibleContext associated with this JPasswordField.
`char` | `getEchoChar()` Returns the character to be used for echoing.
`char[]` | `getPassword()` Returns the text contained in this TextComponent.
`java.lang.String` | `getText()` Deprecated. As of JDK version 1.2, replaced by `getPassword()`.
`java.lang.String` | `getText(int offs, int len)` Deprecated. As of JDK version 1.2, replaced by `getPassword()`.
`java.lang.String` | `getUIClassID()` Returns the name of the L&F class that renders this component.
`protected java.lang.String` | `paramString()` Returns a string representation of this JPasswordField.
`void` | `setEchoChar(char c)` Sets the echo character for this JPasswordField.

Methods inherited from class javax.swing.JTextField
`addActionListener, createDefaultModel, fireActionPerformed, getActions, getColumns, getColumnWidth, getHorizontalAlignment, getHorizontalVisibility, getPreferredSize, getScrollOffset, isValidateRoot, postActionEvent, removeActionListener, scrollRectToVisible, setActionCommand, setColumns, setFont, setHorizontalAlignment, setScrollOffset`

Methods inherited from class javax.swing.text.JTextComponent
`addCaretListener, addKeymap, fireCaretUpdate, getCaret, getCaretColor, getCaretPosition, getDisabledTextColor, getDocument, getFocusAccelerator, getHighlighter, getKeymap, getKeymap, getMargin, getPreferredScrollableViewportSize, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getSelectedText, getSelectedTextColor, getSelectionColor, getSelectionEnd, getSelectionStart, getUI, isEditable, isFocusTraversable, isOpaque, loadKeymap, modelToView, moveCaretPosition, paste, processComponentKeyEvent, read, removeCaretListener, removeKeymap, removeNotify, replaceSelection, select, selectAll, setCaret, setCaretColor, setCaretPosition, setDisabledTextColor, setDocument, setEditable, setEnabled, setFocusAccelerator, setHighlighter, setKeymap, setMargin, setOpaque, setSelectedTextColor, setSelectionColor, setSelectionEnd, setSelectionStart, setText, setUI, updateUI, viewToModel, write`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isLightweightComponent, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, getBackground, getBounds, getColorModel, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isEnabled, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JPasswordField

    public JPasswordField()

  Constructs a new JPasswordField, with a default document, null starting text string, and 0 column width.

### JPasswordField

    public JPasswordField(java.lang.String text)

  Constructs a new JPasswordField initialized with the specified text. The document model is set to the default, and the number of columns to 0.
  Parameters:
    `text` - the text to be displayed, null if none

### JPasswordField

    public JPasswordField(int columns)

  Constructs a new empty JPasswordField with the specified number of columns. A default model is created, and the initial string is set to null.
  Parameters:
    `columns` - the number of columns >= 0

### JPasswordField

    public JPasswordField(java.lang.String text,
                          int columns)

  Constructs a new JPasswordField initialized with the specified text and columns. The document model is set to the default.
  Parameters:
    `text` - the text to be displayed, null if none
    `columns` - the number of columns >= 0

### JPasswordField

    public JPasswordField(Document doc,
                          java.lang.String txt,
                          int columns)

  Constructs a new JPasswordField that uses the given text storage model and the given number of columns. This is the constructor through which the other constructors feed. The echo character is set to '*'. If the document model is null, a default one will be created.
  Parameters:
    `doc` - the text storage to use
    `txt` - the text to be displayed, null if none
    `columns` - the number of columns to use to calculate the preferred width >= 0. If columns is set to zero, the preferred width will be whatever naturally results from the component implementation.

Method Detail

### getUIClassID

    public java.lang.String getUIClassID()

  Returns the name of the L&F class that renders this component.
  Returns:
    "PasswordFieldUI"
  Overrides:
    getUIClassID in class JTextField
  See Also:
    `JComponent.getUIClassID()`, `UIDefaults.getUI(javax.swing.JComponent)`

### getEchoChar

    public char getEchoChar()

  Returns the character to be used for echoing. The default is '*'.
  Returns:
    the echo character, 0 if unset
  See Also:
    `setEchoChar(char)`, `echoCharIsSet()`

### setEchoChar

    public void setEchoChar(char c)

  Sets the echo character for this JPasswordField. Note that this is largely a suggestion to the view as the view that gets installed can use whatever graphic techniques it desires to represent the field. Setting a value of 0 unsets the echo character.
  Parameters:
    `c` - the echo character to display
  See Also:
    `echoCharIsSet()`, `getEchoChar()`

### echoCharIsSet

    public boolean echoCharIsSet()

  Returns true if this JPasswordField has a character set for echoing. A character is considered to be set if the echo character is not 0.
  Returns:
    true if a character is set for echoing
  See Also:
    `setEchoChar(char)`, `getEchoChar()`

### cut

    public void cut()

  Normally transfers the currently selected range in the associated text model to the system clipboard, removing the contents from the model. This is not a good thing for a password field and is reimplemented to simply beep.
  Overrides:
    cut in class JTextComponent

### copy

    public void copy()

  Normally transfers the currently selected range in the associated text model to the system clipboard, leaving the contents in the text model. This is not a good thing for a password field and is reimplemented to simply beep.
  Overrides:
    copy in class JTextComponent

### getText

    public java.lang.String getText()

  Deprecated. As of JDK version 1.2, replaced by `getPassword()`.
  Returns the text contained in this TextComponent. If the underlying document is null, will give a NullPointerException.

  For security reasons, this method is deprecated. Use the getPassword method instead.

  Returns:
    the text
  Overrides:
    getText in class JTextComponent

### getText

    public java.lang.String getText(int offs,
                                    int len)
                             throws BadLocationException

  Deprecated. As of JDK version 1.2, replaced by `getPassword()`.
  Fetches a portion of the text represented by the component. Returns an empty string if length is 0.

  For security reasons, this method is deprecated. Use the getPassword method instead.

  Parameters:
    `offs` - the offset >= 0
    `len` - the length >= 0
  Returns:
    the text
  Throws:
    BadLocationException - if the offset or length are invalid
  Overrides:
    getText in class JTextComponent

### getPassword

    public char[] getPassword()

  Returns the text contained in this TextComponent. If the underlying document is null, will give a NullPointerException. For stronger security, it is recommended that the returned character array be cleared after use by setting each character to zero.
  Returns:
    the text

### paramString

    protected java.lang.String paramString()

  Returns a string representation of this JPasswordField. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.

  Overriding paramString() to provide information about the specific new aspects of the JFC components.

  Returns:
    a string representation of this JPasswordField.
  Overrides:
    paramString in class JTextField

### getAccessibleContext

    public AccessibleContext getAccessibleContext()

  Gets the AccessibleContext associated with this JPasswordField. A new context is created as necessary.
  Returns:
    the AccessibleContext of this JPasswordField
  Overrides:
    getAccessibleContext in class JTextField

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.